<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StartChangeId StructType
 * Meta informations extracted from the WSDL
 * - documentation: For the first request to this API exclude this element. For each subsequent request send the nextStartChangeId and the queueId returned in the prior response.
 * @subpackage Structs
 */
class StartChangeId extends AbstractStructBase
{
    /**
     * The queueId
     * Meta informations extracted from the WSDL
     * - use: required
     * @var string
     */
    public $queueId;
    /**
     * The _
     * @var int
     */
    public $_;
    /**
     * Constructor method for StartChangeId
     * @uses StartChangeId::setQueueId()
     * @uses StartChangeId::set_()
     * @param string $queueId
     * @param int $_
     */
    public function __construct($queueId = null, $_ = null)
    {
        $this
            ->setQueueId($queueId)
            ->set_($_);
    }
    /**
     * Get queueId value
     * @return string
     */
    public function getQueueId()
    {
        return $this->queueId;
    }
    /**
     * Set queueId value
     * @param string $queueId
     * @return StartChangeId
     */
    public function setQueueId($queueId = null)
    {
        // validation for constraint: string
        if (!is_null($queueId) && !is_string($queueId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($queueId)), __LINE__);
        }
        $this->queueId = $queueId;
        return $this;
    }
    /**
     * Get _ value
     * @return int|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param int $_
     * @return StartChangeId
     */
    public function set_($_ = null)
    {
        // validation for constraint: int
        if (!is_null($_) && !is_numeric($_)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($_)), __LINE__);
        }
        $this->_ = $_;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return StartChangeId
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
